Loading...
Searching...
No Matches
janus_network_query_config Struct Reference

Internal object representation of a network device query (configuration). More...

`#include <ip-utils.h>`

## Data Fields

const char * | device_name
janus_network_query_options | mode
struct in_addr | ipv4
struct in6_addr | ipv6

## Detailed Description

Internal object representation of a network device query (configuration).

## Field Documentation

## device_name

const char* janus_network_query_config::device_name

## ipv4

struct in_addr janus_network_query_config::ipv4

## ipv6

struct in6_addr janus_network_query_config::ipv6

## mode

janus_network_query_options janus_network_query_config::mode

The documentation for this struct was generated from the following file:

- ip-utils.h